# Generated from rainbows-5.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rainbows

Name: rubygem-%{gem_name}
Version: 5.2.1
Release: 1%{?dist}
Summary: Rack app server for sleepy apps and slow clients
License: GPL-2.0+ and Nonstandard
URL: https://yhbt.net/rainbows/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(isolate) >= 3.1
# BuildRequires: rubygem(isolate) < 4
BuildArch: noarch

%description
\Rainbows! is an HTTP server for sleepy Rack applications.  It is based on
unicorn, but designed to handle applications that expect long
request/response times and/or slow clients.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rainbows
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%license %{gem_instdir}/COPYING
%{gem_instdir}/DEPLOY
%{gem_instdir}/Documentation
%{gem_instdir}/FAQ
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/HACKING
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/SIGNALS
%{gem_instdir}/Sandbox
%{gem_instdir}/Static_Files
%{gem_instdir}/Summary
%{gem_instdir}/TODO
%{gem_instdir}/TUNING
%{gem_instdir}/Test_Suite
%{gem_instdir}/archive
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/local.mk.sample
%{gem_instdir}/man
%{gem_instdir}/pkg.mk
%{gem_instdir}/rainbows_1
%{gem_instdir}/setup.rb
%{gem_instdir}/t
%{gem_instdir}/vs_Unicorn
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/examples
%{gem_instdir}/rainbows.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 5.2.1-1
- Initial package
